# aptpkg

Subscribe to [this mailing
list](https://lists.sr.ht/~earnestma/aptpkg-announce/) for low-volume updates,
warnings, and releases to `aptpkg` and `aptpkg.earne.link`.

## aptpkg.earne.link
 
This archive contains my packages generated from the aptpkg-pkgs repo mainly for
my own use. It currently targets Ubuntu 21.04 ("Hirsute Hippo") amd64, although
it will probably work on other distributions/ versions (I use Pop!_OS). If you
would like to add it, run the following:

```sh
curl -fsSL https://git.sr.ht/~earnestma/aptpkg-pkgs/blob/main/add.sh | sudo -E bash -
```

### Links

- [Git repository](https://git.sr.ht/~earnestma/aptpkg-pkgs)
- [Mailing list for patches](https://lists.sr.ht/~earnestma/aptpkg-pkgs)
- [Issue tracker](https://todo.sr.ht/~earnestma/aptpkg-pkgs)
- [Wiki: how aptpkg.earne.link works](aptpkg-hosted)

### How it works

We use reprepro, namely these commands:

- `cd /var/www/aptpkg/ubuntu`
- `sudo reprepro -Vb . createsymlinks`
- `sudo reprepro -Vb . export`
- `sudo reprepro -Vb . includedeb hirsuite incoming/*.deb && sudo rm incoming/*.deb`
- `sudo reprepro clearvanished`

## aptpkg itself

Easily create Debian packages. aptpkg can be used to easily create/ get debian
packages, and can be used with a tool such as **reprepro**(1).

Run `aptpkg --help` or `man aptpkg` for more information.

### Links

- [Git repository](https://git.sr.ht/~earnestma/aptpkg)
- [Mailing list for patches](https://lists.sr.ht/~earnestma/aptpkg-devel)
- [Issue tracker](https://todo.sr.ht/~earnestma/aptpkg)
